Subject: [Isis-wg] [Technical Errata Reported] RFC6822 (4519)

From: RFC Errata System <[email-masked]>
Date: Sun, 1 Nov 2015 22:45:55 -0800 (PST)

The following errata report has been submitted for RFC6822,
"IS-IS Multi-Instance".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6822&eid=4519

--------------------------------------
Type: Technical
Reported by: Alexander Okonnikov <[email-masked]>

Section: 2.4.1

Original Text
-------------
   MI-RTRs include the IID-TLV in the point-to-point Hello PDUs they
   originate.

Corrected Text
--------------
   MI-RTRs include the IID-TLV in the point-to-point Hello PDUs they
   originate.  IID-TLV is included in the point-to-point Hello PDUs for 
   standard instance (IID #0) as well, unless MI-RTR is operating in 
   point-to-point mode over broadcast circuit [RFC5309].

Notes
-----
As soon as PDUs of non-zero instances are isolated from ones of standard instance by virtue of new dedicated MAC addresses, including IID TLV in PDUs of standard instance is needless, while operating in point-to-point mode over broadcast circuit. Also, following rule in section 2.6.1, such PDUs (containing IID=0) must be dropped (keeping in mind that point-to-point mode over broadcast circuit can utilize AllL1ISs or AllL2ISs MAC addresses in addition to AllISs one).

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC6822 (draft-ietf-isis-mi-08)
--------------------------------------
Title               : IS-IS Multi-Instance
Publication Date    : December 2012
Author(s)           : S. Previdi, Ed., L. Ginsberg, M. Shand, A. Roy, D. Ward
Category            : PROPOSED STANDARD
Source              : IS-IS for IP Internets
Area                : Routing
Stream              : IETF
Verifying Party     : IESG

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Tue, 3 Nov 2015 17:14:41 +0000

Section 2.1 of the RFC states:

" IS-IS PDUs associated with the standard instance MUST NOT
   include an IID-TLV except where noted in this document."

The exception case (point-to-point hellos on a point-to-point IIHs on a point-to-point circuit (sic)) is discussed in Section 2.6.2. 
The proposed text is therefore unnecessary.

However, I do agree there is a lack of clarity in the current text and propose the following alternative changes:

Section 4:

"The following subsections describe the additional rules
   an MI-RTR MUST follow when establishing adjacencies."

CHANGED TO

"The following subsections describe the additional rules
   an MI-RTR MUST follow when establishing adjacencies for non-zero instances."

AND

Section 2.4.1

"  MI-RTRs include the IID-TLV in the point-to-point Hello PDUs they
   originate. 

CHANGED TO

  "MI-RTRs include the IID-TLV in the point-to-point Hello PDUs associated 
   with non-zero instances that they originate."

   Les

> -----Original Message-----
> From: RFC Errata System [mailto:[email-masked]]
> Sent: Sunday, November 01, 2015 10:46 PM
> To: Stefano Previdi (sprevidi); Les Ginsberg (ginsberg);
> [email-masked]; Abhay Roy (akr); David Ward (wardd);
> [email-masked]; [email-masked]; Alvaro Retana (aretana);
> [email-masked]; [email-masked]
> Cc: [email-masked]; [email-masked]; rfc-editor@rfc-
> editor.org
> Subject: [Technical Errata Reported] RFC6822 (4519)
> 
> The following errata report has been submitted for RFC6822, "IS-IS Multi-
> Instance".
> 
> As soon as PDUs of non-zero instances are isolated from ones of standard
> instance by virtue of new dedicated MAC addresses, including IID TLV in
> PDUs of standard instance is needless, while operating in point-to-point
> mode over broadcast circuit. Also, following rule in section 2.6.1, such PDUs
> (containing IID=0) must be dropped (keeping in mind that point-to-point
> mode over broadcast circuit can utilize AllL1ISs or AllL2ISs MAC addresses in
> addition to AllISs one).
> 
> Instructions:
> -------------
> This erratum is currently posted as "Reported". If necessary, please use
> "Reply All" to discuss whether it should be verified or rejected. When a
> decision is reached, the verifying party (IESG) can log in to change the status
> and edit the report, if necessary.
>